<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>peer-review-system documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">peer-review-system documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>ReviewUnitPreviewComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-review-unit-preview</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./review-unit-preview.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./review-unit-preview.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#afs">afs</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#auth">auth</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#commentForm">commentForm</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#comments">comments</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#isRevUnitFeedbackDisabled">isRevUnitFeedbackDisabled</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#reviewerDisplayName">reviewerDisplayName</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#reviewerId">reviewerId</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#reviewUnit">reviewUnit</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#reviewUnitComment">reviewUnitComment</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#revUnitResolver">revUnitResolver</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#revUnitService">revUnitService</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#selectedStatusItem">selectedStatusItem</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#statusItems">statusItems</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#tags">tags</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#displayComments">displayComments</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#onSubmit">onSubmit</a>
                            </li>
                            <li>
                                <a href="#resetFields">resetFields</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(auth: <a href="../injectables/AuthService.html">AuthService</a>, revUnitService: <a href="../injectables/ReviewUnitService.html">ReviewUnitService</a>, afs: AngularFirestore, revUnitResolver: <a href="../guards/ReviewUnitResolver.html">ReviewUnitResolver</a>, afAuth: AngularFireAuth, route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:25</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>auth</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/AuthService.html" target="_self" >AuthService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>revUnitService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/ReviewUnitService.html" target="_self" >ReviewUnitService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>afs</td>
                                                  
                                                        <td>
                                                                    <code>AngularFirestore</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>revUnitResolver</td>
                                                  
                                                        <td>
                                                                        <code><a href="../guards/ReviewUnitResolver.html" target="_self" >ReviewUnitResolver</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>afAuth</td>
                                                  
                                                        <td>
                                                                    <code>AngularFireAuth</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="displayComments"></a>
                    <span class="name">
                        <b>
                            <span class="modifier">Public</span>
                            displayComments
                        </b>
                        <a href="#displayComments"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>displayComments(revUnitId)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="78"
                            class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:78</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>revUnitId</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <b>
                            ngOnInit
                        </b>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="45"
                            class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:45</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onSubmit"></a>
                    <span class="name">
                        <b>
                            onSubmit
                        </b>
                        <a href="#onSubmit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onSubmit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="69"
                            class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:69</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="resetFields"></a>
                    <span class="name">
                        <b>
                            resetFields
                        </b>
                        <a href="#resetFields"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>resetFields()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="65"
                            class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:65</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="afs"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            afs</b>
                            <a href="#afs"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>AngularFirestore</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:31</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="auth"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            auth</b>
                            <a href="#auth"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="../injectables/AuthService.html" target="_self" >AuthService</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="29" class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:29</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="commentForm"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            commentForm</b>
                            <a href="#commentForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:20</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="comments"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            comments</b>
                            <a href="#comments"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:24</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isRevUnitFeedbackDisabled"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            isRevUnitFeedbackDisabled</b>
                            <a href="#isRevUnitFeedbackDisabled"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:25</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="reviewerDisplayName"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            reviewerDisplayName</b>
                            <a href="#reviewerDisplayName"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:21</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="reviewerId"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            reviewerId</b>
                            <a href="#reviewerId"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:22</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="reviewUnit"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            reviewUnit</b>
                            <a href="#reviewUnit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="16" class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:16</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="reviewUnitComment"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            reviewUnitComment</b>
                            <a href="#reviewUnitComment"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:17</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="revUnitResolver"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            revUnitResolver</b>
                            <a href="#revUnitResolver"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="../guards/ReviewUnitResolver.html" target="_self" >ReviewUnitResolver</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="32" class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:32</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="revUnitService"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            revUnitService</b>
                            <a href="#revUnitService"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="../injectables/ReviewUnitService.html" target="_self" >ReviewUnitService</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="30" class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:30</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="selectedStatusItem"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            selectedStatusItem</b>
                            <a href="#selectedStatusItem"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>&#x27;Pending&#x27;</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="18" class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:18</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="statusItems"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            statusItems</b>
                            <a href="#statusItems"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>string[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:19</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="tags"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            tags</b>
                            <a href="#tags"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>string[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/components/review-unit/review-unit-preview/review-unit-preview.component.ts:23</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;
import { AngularFirestore } from &#x27;angularfire2/firestore&#x27;;
import { AuthService } from &#x27;src/app/services/auth.service&#x27;;
import { ReviewUnitService } from &#x27;src/app/services/review-unit.service&#x27;;
import { AngularFireAuth } from &#x27;angularfire2/auth&#x27;;
import { Router, ActivatedRoute } from &#x27;@angular/router&#x27;;
import { ReviewUnitResolver } from &#x27;./review-unit-preview-resolver&#x27;;
import { switchMap } from &#x27;rxjs/operators&#x27;;

@Component({
  selector: &#x27;app-review-unit-preview&#x27;,
  templateUrl: &#x27;./review-unit-preview.component.html&#x27;,
  styleUrls: [&#x27;./review-unit-preview.component.scss&#x27;]
})
export class ReviewUnitPreviewComponent implements OnInit {
  public reviewUnit;
  public reviewUnitComment;
  public selectedStatusItem &#x3D; &#x27;Pending&#x27;;
  public statusItems: string[] &#x3D; [];
  public commentForm;
  public reviewerDisplayName;
  public reviewerId;
  public tags: string[] &#x3D; [];
  public comments;
  public isRevUnitFeedbackDisabled &#x3D; false;


  constructor(
    public auth: AuthService,
    public revUnitService: ReviewUnitService,
    public afs: AngularFirestore,
    public revUnitResolver: ReviewUnitResolver,
    private afAuth: AngularFireAuth,
    private route: ActivatedRoute,
    private router: Router
  ) {
    this.afAuth.authState.subscribe(user &#x3D;&gt; {
      if (user) {
        this.reviewerDisplayName &#x3D; user.displayName;
        this.reviewerId &#x3D; user.uid;
      }
    });
  }

  ngOnInit() {
    this.route.params.pipe(switchMap(params &#x3D;&gt; {

      const revUnitUrl &#x3D; params.uid;
      this.displayComments(revUnitUrl);
      return this.revUnitService.getReviewUnitById(revUnitUrl);
    }))
      .subscribe(reviewUnit &#x3D;&gt; {
        this.reviewUnit &#x3D; reviewUnit;
        this.reviewUnit.tags.forEach(el &#x3D;&gt; this.tags.push(el.itemName));
        if (this.reviewUnit.status &#x3D;&#x3D;&#x3D; &#x27;Rejected&#x27;) {
          this.isRevUnitFeedbackDisabled &#x3D; true;
        }
      });

    this.statusItems &#x3D; [&#x27;Pending&#x27;, &#x27;Under review&#x27;, &#x27;Change requested&#x27;, &#x27;Accepted&#x27;, &#x27;Rejected&#x27;];

    this.commentForm &#x3D; this.revUnitService.commentForm;
  }

  resetFields() {
    this.commentForm &#x3D; this.revUnitService.commentForm;
  }

  onSubmit() {
    this.reviewUnitComment &#x3D; this.commentForm.value;
    this.revUnitService.updateReviewUnitFeedback(this.reviewUnit.uid, this.reviewUnitComment.content, this.reviewerDisplayName);
    this.revUnitService.updateStatusByReviewer(this.reviewUnit.uid, this.reviewerDisplayName, this.reviewerId, this.selectedStatusItem);
    this.revUnitService.updateReviewUnitStatusField(this.reviewUnit.uid, this.selectedStatusItem);

    this.resetFields();
  }

  public displayComments(revUnitId) {
    this.comments &#x3D; this.revUnitService.getRevUnitComments(revUnitId);
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div *ngIf&#x3D;&quot;reviewUnit&quot; class&#x3D;&quot;container container-bg py-5 rounded&quot;&gt;
  &lt;div class&#x3D;&quot;row&quot;&gt;
    &lt;div class&#x3D;&quot;col-md-12 pb-5 text-center&quot;&gt;
      &lt;h2&gt;Review Request Feedback&lt;/h2&gt;
    &lt;/div&gt;
  &lt;/div&gt;
  &lt;div class&#x3D;&quot;row pb-5&quot;&gt;
    &lt;div class&#x3D;&quot;col-md-8 col-xs-12&quot;&gt;
      &lt;h4 class&#x3D;&quot;pb-2 border border-secondary border-top-0 border-right-0 border-left-0 rounded-0&quot;&gt;{{ reviewUnit.title }}&lt;/h4&gt;
      &lt;p class&#x3D;&quot;container-bg-inner border border-gray p-4 rounded&quot;&gt;{{ reviewUnit.content }}&lt;/p&gt;
    &lt;/div&gt;
    &lt;div class&#x3D;&quot;col-md-4 col-xs-12&quot;&gt;
        &lt;div&gt;
          &lt;h4 class&#x3D;&quot;pb-2 border border-secondary border-top-0 border-right-0 border-left-0 rounded-0&quot;&gt;Tags:&lt;/h4&gt;
          &lt;span class&#x3D;&quot;mx-1 badge badge-info&quot; *ngFor&#x3D;&quot;let tag of tags&quot;&gt;
            {{ tag }}
          &lt;/span&gt;
        &lt;/div&gt;
        &lt;hr /&gt;
      &lt;div *ngIf&#x3D;&quot;this.isRevUnitFeedbackDisabled!&#x3D;true&quot;&gt;
        &lt;p class&#x3D;&quot;h5 pb-2&quot;&gt;Set status:&lt;/p&gt;
        &lt;ng-select [items]&#x3D;&quot;statusItems&quot; [(ngModel)]&#x3D;&quot;selectedStatusItem&quot;&gt;
        &lt;/ng-select&gt;
      &lt;/div&gt;
      &lt;div *ngIf&#x3D;&quot;this.isRevUnitFeedbackDisabled&#x3D;&#x3D;&#x3D;true&quot;&gt;
        &lt;p class&#x3D;&quot;h5 pb-2&quot;&gt;Status:&lt;/p&gt;
        &lt;p class&#x3D;&quot;h5 pb-2&quot;&gt;Rejected&lt;/p&gt;
      &lt;/div&gt;
    &lt;/div&gt;
  &lt;/div&gt;
  &lt;div class&#x3D;&quot;pt-2&quot;&gt;
    &lt;app-uploader *ngIf&#x3D;&quot;this.isRevUnitFeedbackDisabled!&#x3D;true&quot; [reviewUnit]&#x3D;&quot;reviewUnit&quot;&gt;&lt;/app-uploader&gt;
  &lt;/div&gt;
  &lt;hr class&#x3D;&quot;bg-secondary my-5&quot; /&gt;
  &lt;div class&#x3D;&quot;row&quot;&gt;

    &lt;div class&#x3D;&quot;col&quot;&gt;
      &lt;span class&#x3D;&quot; h5 pb-2&quot;&gt;Comments&lt;/span&gt;
      &lt;div *ngFor&#x3D;&quot;let comment of comments  | async&quot; class&#x3D;&quot;container-bg-inner border border-gray p-4 mb-2 rounded&quot;&gt;
        &lt;p&gt;{{ comment.content }}&lt;/p&gt;
        &lt;small class&#x3D;&quot;text-primary&quot;&gt;&lt;strong&gt;{{ comment.author }}&lt;/strong&gt;&lt;/small&gt;
      &lt;/div&gt;
      &lt;form *ngIf&#x3D;&quot;this.isRevUnitFeedbackDisabled!&#x3D;true&quot; [formGroup]&#x3D;&quot;this.commentForm&quot; (ngSubmit)&#x3D;&quot;onSubmit()&quot;&gt;
        &lt;h5 class&#x3D;&quot;py-2&quot;&gt;Leave a comment&lt;/h5&gt;
        &lt;textarea rows&#x3D;&quot;7&quot; placeholder&#x3D;&quot;Request Content&quot; formControlName&#x3D;&quot;content&quot;
          class&#x3D;&quot;form-control bg-transparent rounded border border-primary&quot;&gt;&lt;/textarea&gt;
        &lt;div class&#x3D;&quot;py-2&quot;&gt;
          &lt;button class&#x3D;&quot;btn btn-primary btn-block&quot;&gt;Submit feedback&lt;/button&gt;
        &lt;/div&gt;
      &lt;/form&gt;
    &lt;/div&gt;
  &lt;/div&gt;
&lt;/div&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./review-unit-preview.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss"></code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div *ngIf="reviewUnit" class="container container-bg py-5 rounded">  <div class="row">    <div class="col-md-12 pb-5 text-center">      <h2>Review Request Feedback</h2>    </div>  </div>  <div class="row pb-5">    <div class="col-md-8 col-xs-12">      <h4 class="pb-2 border border-secondary border-top-0 border-right-0 border-left-0 rounded-0">{{ reviewUnit.title }}</h4>      <p class="container-bg-inner border border-gray p-4 rounded">{{ reviewUnit.content }}</p>    </div>    <div class="col-md-4 col-xs-12">        <div>          <h4 class="pb-2 border border-secondary border-top-0 border-right-0 border-left-0 rounded-0">Tags:</h4>          <span class="mx-1 badge badge-info" *ngFor="let tag of tags">            {{ tag }}          </span>        </div>        <hr />      <div *ngIf="this.isRevUnitFeedbackDisabled!=true">        <p class="h5 pb-2">Set status:</p>        <ng-select [items]="statusItems" [(ngModel)]="selectedStatusItem">        </ng-select>      </div>      <div *ngIf="this.isRevUnitFeedbackDisabled===true">        <p class="h5 pb-2">Status:</p>        <p class="h5 pb-2">Rejected</p>      </div>    </div>  </div>  <div class="pt-2">    <app-uploader *ngIf="this.isRevUnitFeedbackDisabled!=true" [reviewUnit]="reviewUnit"></app-uploader>  </div>  <hr class="bg-secondary my-5" />  <div class="row">    <div class="col">      <span class=" h5 pb-2">Comments</span>      <div *ngFor="let comment of comments  | async" class="container-bg-inner border border-gray p-4 mb-2 rounded">        <p>{{ comment.content }}</p>        <small class="text-primary"><strong>{{ comment.author }}</strong></small>      </div>      <form *ngIf="this.isRevUnitFeedbackDisabled!=true" [formGroup]="this.commentForm" (ngSubmit)="onSubmit()">        <h5 class="py-2">Leave a comment</h5>        <textarea rows="7" placeholder="Request Content" formControlName="content"          class="form-control bg-transparent rounded border border-primary"></textarea>        <div class="py-2">          <button class="btn btn-primary btn-block">Submit feedback</button>        </div>      </form>    </div>  </div></div></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'CreateTeamComponent', 'selector': 'app-create-team'},{'name': 'DashboardComponent', 'selector': 'app-dashboard'},{'name': 'FooterComponent', 'selector': 'app-footer'},{'name': 'HomeComponent', 'selector': 'app-home'},{'name': 'LoggedUserComponent', 'selector': 'app-logged-user'},{'name': 'NavComponent', 'selector': 'app-nav'},{'name': 'NotFoundComponent', 'selector': 'app-not-found'},{'name': 'ResetPasswordComponent', 'selector': 'app-reset-password'},{'name': 'ReviewUnitCreateComponent', 'selector': 'app-review-unit-create'},{'name': 'ReviewUnitPreviewComponent', 'selector': 'app-review-unit-preview'},{'name': 'ReviewUnitsComponent', 'selector': 'app-review-units'},{'name': 'SendEmailComponent', 'selector': 'app-send-email'},{'name': 'ServerErrorComponent', 'selector': 'app-server-error'},{'name': 'SigninComponent', 'selector': 'app-signin'},{'name': 'SignupComponent', 'selector': 'app-signup'},{'name': 'TagsComponent', 'selector': 'app-tags'},{'name': 'TeamsComponent', 'selector': 'app-teams'},{'name': 'TimestampComponent', 'selector': 'app-timestamp'},{'name': 'UploaderComponent', 'selector': 'app-uploader'},{'name': 'UploadTaskComponent', 'selector': 'app-upload-task'},{'name': 'UserProfileComponent', 'selector': 'app-user-profile'},{'name': 'UsersComponent', 'selector': 'app-users'}];
    var DIRECTIVES = [{'name': 'DropZoneDirective', 'selector': '[app-dropzone]'}];
    var ACTUAL_COMPONENT = {'name': 'ReviewUnitPreviewComponent'};
</script>
<script src="../js/tree.js"></script>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'ReviewUnitPreviewComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
